
#include <easyMesh.h>

#define   MESH_PREFIX     "CLOD-"
#define   MESH_PASSWORD   "zIncsEcOndEnAtUrE666"
#define   MESH_PORT       5555

void receivedCallback( uint32_t from, String &msg );
void newConnectionCallback( bool adopt );

easyMesh  *mesh;

void meshStart() {
    
  mesh = new easyMesh();
  
//mesh->setDebugMsgTypes( ERROR | MESH_STATUS | CONNECTION | SYNC | COMMUNICATION | GENERAL | MSG_TYPES | REMOTE ); // all types on
  mesh->setDebugMsgTypes( ERROR | STARTUP );  // set before init() so that you can see startup messages

  mesh->init( MESH_PREFIX, MESH_PASSWORD, MESH_PORT );
  mesh->setReceiveCallback( &receivedCallback );
  mesh->setNewConnectionCallback( &newConnectionCallback );
}

void meshStop() {
  mesh = NULL;
}

int meshConnectionCount() {
  if (mesh == NULL) return 0;
  return mesh->connectionCount();
}

void meshLoop() {
  if (mesh == NULL) return;
  mesh->update();
}

void meshSend(String msg) {
  if (mesh == NULL) return;
  mesh->sendBroadcast(msg);
}



